import * as i0 from '@angular/core';
import { Directive, Input, HostBinding, NgModule } from '@angular/core';

class MatBasicSpinnerDirective {
    constructor() {
        this.mtBasicSpinner = false;
        this.hideText = false;
    }
    get elementClass() {
        if (this.mtBasicSpinner && this.hideText) {
            return 'mat-spinner hide-btn-text';
        }
        else if (this.mtBasicSpinner) {
            return 'mat-spinner';
        }
        return '';
    }
    get disabled() {
        return this.mtBasicSpinner;
    }
}
MatBasicSpinnerDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: MatBasicSpinnerDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
MatBasicSpinnerDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.1.3", type: MatBasicSpinnerDirective, selector: "[mtBasicSpinner]", inputs: { mtBasicSpinner: "mtBasicSpinner", hideText: "hideText", elementClass: ["class", "elementClass"] }, host: { properties: { "class": "this.elementClass", "disabled": "this.disabled" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: MatBasicSpinnerDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[mtBasicSpinner]'
                }]
        }], propDecorators: { mtBasicSpinner: [{
                type: Input
            }], hideText: [{
                type: Input
            }], elementClass: [{
                type: Input,
                args: ["class"]
            }, {
                type: HostBinding,
                args: ['class']
            }], disabled: [{
                type: HostBinding,
                args: ['disabled']
            }] } });

class MatGlowDirective {
    constructor() {
        this.glowColor = "blue";
        this.mtGlow = false;
        this.hideText = false;
    }
    get elementClass() {
        document.documentElement.style.setProperty('--glow-color', this.glowColor);
        if (this.mtGlow && this.hideText) {
            return 'mat-glow hide-btn-text';
        }
        else if (this.mtGlow) {
            return 'mat-glow';
        }
        return '';
    }
    get disabled() {
        return this.mtGlow;
    }
}
MatGlowDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: MatGlowDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
MatGlowDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.1.3", type: MatGlowDirective, selector: "[mtGlow]", inputs: { glowColor: "glowColor", mtGlow: "mtGlow", hideText: "hideText", elementClass: ["class", "elementClass"] }, host: { properties: { "class": "this.elementClass", "disabled": "this.disabled" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: MatGlowDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[mtGlow]'
                }]
        }], propDecorators: { glowColor: [{
                type: Input
            }], mtGlow: [{
                type: Input
            }], hideText: [{
                type: Input
            }], elementClass: [{
                type: Input,
                args: ["class"]
            }, {
                type: HostBinding,
                args: ['class']
            }], disabled: [{
                type: HostBinding,
                args: ['disabled']
            }] } });

class NgxLoadingButtonsModule {
}
NgxLoadingButtonsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgxLoadingButtonsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgxLoadingButtonsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgxLoadingButtonsModule, declarations: [MatBasicSpinnerDirective,
        MatGlowDirective], exports: [MatBasicSpinnerDirective,
        MatGlowDirective] });
NgxLoadingButtonsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgxLoadingButtonsModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.1.3", ngImport: i0, type: NgxLoadingButtonsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        MatBasicSpinnerDirective,
                        MatGlowDirective
                    ],
                    exports: [
                        MatBasicSpinnerDirective,
                        MatGlowDirective
                    ]
                }]
        }] });

/*
 * Public API Surface of ngx-loading-buttons
 */

/**
 * Generated bundle index. Do not edit.
 */

export { MatBasicSpinnerDirective, MatGlowDirective, NgxLoadingButtonsModule };
//# sourceMappingURL=ngx-loading-buttons.mjs.map
