"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.cssAdd = void 0;
const schematics_1 = require("@angular-devkit/schematics");
const schematics_2 = require("@angular/cdk/schematics");
const schematics_3 = require("@angular/cdk/schematics");
const workspace_1 = require("@schematics/angular/utility/workspace");
const themePath = `./node_modules/ngx-loading-buttons/src/styles.css`;
function cssAdd(options) {
    return () => __awaiter(this, void 0, void 0, function* () {
        return (0, schematics_1.chain)([
            insertCSSDependency(options.project)
        ]);
    });
}
exports.cssAdd = cssAdd;
function insertCSSDependency(project) {
    return (0, schematics_1.chain)([
        addThemeStyleToTarget(project, 'build', themePath),
        addThemeStyleToTarget(project, 'test', themePath),
    ]);
}
function addThemeStyleToTarget(projectName, targetName, assetPath) {
    return (0, workspace_1.updateWorkspace)(workspace => {
        const project = (0, schematics_2.getProjectFromWorkspace)(workspace, projectName);
        const targetOptions = (0, schematics_3.getProjectTargetOptions)(project, targetName);
        const styles = targetOptions['styles'];
        const existingStyles = styles.map(s => (typeof s === 'string' ? s : s.input));
        for (let [, stylePath] of existingStyles.entries()) {
            if (stylePath === assetPath)
                return;
        }
        styles.unshift(assetPath);
    });
}
//# sourceMappingURL=setup.js.map